nla 基础配置¶
POST 策略组列表 nlaV1:acl:query¶
POST /prod-api/waf/nlaV1/basic/describeNlaACLs
Body 请求参数
请求参数¶
| 名称 | 位置 | 类型 | 必选 | 中文名 | 说明 |
|---|---|---|---|---|---|
| Authorization | header | string | 是 | - | |
| body | body | object | 是 | - | |
| » pageNum | body | integer(int32) | 是 | 当前页数 | - |
| » pageSize | body | integer(int32) | 是 | 每页显示条目个数 | - |
返回示例
200 Response
{
"total": 2,
"rows": [
{
"aclId": 74,
"aclName": "酷酷酷",
"aclStatus": "On",
"oid": "20240412279097884616",
"updateTime": "2026-03-03 13:54:20",
"remark": null,
"domainIds": [215, 233, 235],
"associatedDomainName": [
{
"domainId": 215,
"domainName": "waf2.demo.com",
"port": 0
}
]
},
{
"aclId": 73,
"aclName": "012",
"aclStatus": "DetectionOnly",
"oid": "20240412279097884616",
"updateTime": "2025-11-13 17:03:02",
"remark": null,
"domainIds": [522, 635],
"associatedDomainName": [
{
"domainId": 522,
"domainName": "waf.demo.com",
"port": 0
}
]
}
],
"code": 200,
"msg": "成功"
}
返回结果¶
| 状态码 | 状态码含义 | 说明 | 数据模型 |
|---|---|---|---|
| 200 | OK | OK | Inline |
| 201 | Created | Created | - |
| 401 | Unauthorized | Unauthorized | - |
| 403 | Forbidden | Forbidden | - |
| 404 | Not Found | Not Found | - |
返回数据结构¶
状态码 200
| 名称 | 类型 | 必选 | 约束 | 中文名 | 说明 |
|---|---|---|---|---|---|
| » total | integer | true | - | 总数 | - |
| » rows | [object] | true | - | 规则列表 | - |
| »» aclId | integer | true | - | 规则id | - |
| »» aclName | string | true | - | 规则名称 | - |
| »» aclStatus | string | true | - | 规则状态 | 规则状态,取值有: On: 启用; Off: 关闭; DetectionOnly:仅记录 |
| »» oid | string | true | - | 套餐 | - |
| »» updateTime | string | true | - | 更新时间 | - |
| »» remark | null | true | - | 备注 | - |
| »» domainIds | [integer] | true | - | 域名ids | - |
| »» associatedDomainName | [object] | true | - | 关联域名 | - |
| »»» domainId | integer | true | - | id | - |
| »»» domainName | string | true | - | 域名 | - |
| »»» port | integer | true | - | 端口 | - |
| » code | integer | true | - | - | |
| » msg | string | true | - | - |
数据模型¶
DescribeNlaACLsReqVO
{
"country": "string",
"filters": [
{
"label": "string",
"value": ["string"]
}
],
"oid": "string",
"pageNum": 0,
"pageSize": 0,
"params": {},
"searchHeader": {},
"searchValue": "string",
"tableCul": {
"property1": "string",
"property2": "string"
},
"userId": 0
}
DescribeNlaACLsReqVO
属性¶
| 名称 | 类型 | 必选 | 约束 | 中文名 | 说明 |
|---|---|---|---|---|---|
| country | string | false | - | - | |
| filters | [SearchFilterVo] | false | - | - | |
| oid | string | false | - | - | |
| pageNum | integer(int32) | false | - | 当前页数 | - |
| pageSize | integer(int32) | false | - | 每页显示条目个数 | - |
SearchFilterVo
SearchFilterVo
属性¶
| 名称 | 类型 | 必选 | 约束 | 中文名 | 说明 |
|---|---|---|---|---|---|
| label | string | false | - | 参数名 | aclName:表示规则名称,oid:表示套餐 |
| value | [string] | false | - | 参数值 | 数组类型,传入单个值为模糊搜索,多个值为精确搜索 |